package com.kingdee.eas.custom.calcdailypay.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.eas.custom.calcdailypay.task.*;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;

public class CalcDailyPayFacade extends AbstractBizCtrl implements ICalcDailyPayFacade
{
    public CalcDailyPayFacade()
    {
        super();
        registerInterface(ICalcDailyPayFacade.class, this);
    }
    public CalcDailyPayFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ICalcDailyPayFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("3DA4F375");
    }
    private CalcDailyPayFacadeController getController() throws BOSException
    {
        return (CalcDailyPayFacadeController)getBizController();
    }
    /**
     *н-User defined method
     *@param preCalcDays ǰӼ
     */
    public void calculate(int preCalcDays) throws BOSException, EASBizException
    {
        try {
            getController().calculate(getContext(), preCalcDays);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *-User defined method
     *@param preCalcDays ǰӼ
     */
    public void sendSalary(int preCalcDays) throws BOSException, EASBizException
    {
        try {
            getController().sendSalary(getContext(), preCalcDays);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *-User defined method
     *@param preCalcDays ǰӼ
     */
    public void calculateOverall(int preCalcDays) throws BOSException, EASBizException
    {
        try {
            getController().calculateOverall(getContext(), preCalcDays);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}